import Request from '../common/request.js';
let request = new Request().http

 
 export function getMyStoreOrderList(data) {
 	 return request('/app/storeOrder/getMyStoreOrderList',data,'GET');
 } 
 export function getCompanyStoreOrderList(data) {
 	 return request('/app/storeOrder/getCompanyStoreOrderList',data,'GET');
 } 
 export function getMyStoreOrderById(data) {
 	 return request('/app/storeOrder/getMyStoreOrderById',data,'GET');
 } 
 
 
 export function getStoreOrderById(data) {
 	 return request('/app/storeOrder/getStoreOrderById',data,'GET');
 } 
 
 
 export function confirm(data) {
 	 return request('/app/storeOrder/confirm',data,'POST','application/json;charset=UTF-8');
 }
 export function computed(data) {
 	 return request('/app/storeOrder/computed',data,'POST','application/json;charset=UTF-8');
 }
 export function create(data) {
 	 return request('/app/storeOrder/create',data,'POST','application/json;charset=UTF-8');
 }

// 创建活动订单（秒杀/折扣）
export function createActivityOrder(data) {
    return request('/app/storeOrder/createActivityOrder', data, 'POST','application/json;charset=UTF-8');
}
 export function pay(data) {
 	 return request('/app/storeOrder/pay',data,'POST','application/json;charset=UTF-8');
 }
 
 export function editPayType(data) {
 	 return request('/app/storeOrder/editPayType',data,'POST','application/json;charset=UTF-8');
 }
 
 export function payRemain(data) {
 	 return request('/app/storeOrder/payRemain',data,'POST','application/json;charset=UTF-8');
 }
 
 export function otherPayment(data) {
 	 return request('/app/storeOrder/otherPayment',data,'POST','application/json;charset=UTF-8');
 }
 
 export function otherPaymentRemain(data) {
 	 return request('/app/storeOrder/otherPaymentRemain',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function cancelOrder(data) {
 	 return request('/app/storeOrder/cancelOrder',data,'POST','application/json;charset=UTF-8');
 }
 export function finishOrder(data) {
 	 return request('/app/storeOrder/finishOrder',data,'POST','application/json;charset=UTF-8');
 }
 export function getExpress(data) {
 	 return request('/app/storeOrder/getExpress',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function confirmPackageOrder(data) {
 	 return request('/app/storeOrder/confirmPackageOrder',data,'POST','application/json;charset=UTF-8');
 }
 export function computedPackageOrder(data) {
 	 return request('/app/storeOrder/computedPackageOrder',data,'POST','application/json;charset=UTF-8');
 }
 
 export function createPackageOrder(data) {
 	 return request('/app/storeOrder/createPackageOrder',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getOrderCount() {
 	 return request('/app/storeOrder/getOrderCount',null,'GET');
 } 
 
 export function orderBindUser(data) {
 	 return request('/app/storeOrder/orderBindUser',data,'POST','application/json;charset=UTF-8');
 }  
 
 